Create checklist for MN deployment
Status: Closed Start date: 2013-03-21

Priority: Urgent Due date: 2014-02-01

Assignee: Rob Nahf % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: 2014.4-Block.1.2   

Story Points:    

Description

Member Node implementors do not have a clearly documented process for creating, testing, and deploying a member node. 

Potential MNs have requested a checklist of steps that makes it totally clear how they should proceed.  In addition to getting the node

to the point of passing the MN Checker tests for their Tier, they also would like a checklist of the manual reviews that will be

performed when the MN is being reviewed by the development team when it is in stage.

Chris suggested that this be developed in our Operations documentation here: 

http://mule1.dataone.org/OperationDocs/member_node_deployment/index.html

History

#1 - 2013-08-02 11:54 - Dave Vieglais

- Due date changed from 2013-03-30 to 2013-08-03

- Target version changed from 2013.12-Block.2.2 to 2013.30-Block.4.3

#2 - 2013-08-14 16:14 - Rob Nahf

- Due date changed from 2013-08-03 to 2013-08-10

- Status changed from New to In Progress

- Assignee changed from Matthew Jones to Rob Nahf

- % Done changed from 0 to 30

taking over this ticket and working with Laura Moyers to build out the documentation at different levels

#3 - 2013-08-14 16:18 - Rob Nahf

- Target version changed from 2013.30-Block.4.3 to 2013.33-Block.4.4

- Due date changed from 2013-08-10 to 2013-08-24

#4 - 2013-09-11 18:12 - Rob Nahf

- Due date changed from 2013-08-24 to 2013-09-21

- Target version changed from 2013.33-Block.4.4 to 2013.37-Block.5.2

- Product Version set to 1.1

#5 - 2014-01-06 18:12 - Dave Vieglais

- Due date changed from 2013-09-21 to 2014-02-01

- Target version changed from 2013.37-Block.5.2 to 2014.4-Block.1.2

#6 - 2014-03-14 18:10 - Rob Nahf

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
This led to creation of a public-facing checklist on data one.org site, tied to the more technically oriented member_node_checklist document in mule

Operation docs.  There was an agreement in the leadership team on consistent phase labeling, and first-level detail activities between the two

versions.

While individual documentation improvements will always be needed, the framework is in place, and so is considered complete.  Future

documentation tasks should create individual stories.
